#ifndef YYERRCODE
#define YYERRCODE 256
#endif

#define CREATE_KWORD 257
#define DELETE_KWORD 258
#define ATTRIBUTE_KWORD 259
#define DATASET_KWORD 260
#define GROUP_KWORD 261
#define DATATYPE_KWORD 262
#define DATASPACE_KWORD 263
#define DATA_KWORD 264
#define IDENTIFIER 265
#define PATHNAME 266
#define QUOTED_STRING 267
#define DQUOTED_STRING 268
#define EOSTMT_TOKEN 269
#define WSPACE 270
#define INTEGER_TYPE_TOKEN 271
#define FLOAT_TYPE_TOKEN 272
#define H5T_STD_I8BE_TOKEN 273
#define H5T_STD_I8LE_TOKEN 274
#define H5T_STD_I16BE_TOKEN 275
#define H5T_STD_I16LE_TOKEN 276
#define H5T_STD_I32BE_TOKEN 277
#define H5T_STD_I32LE_TOKEN 278
#define H5T_STD_I64BE_TOKEN 279
#define H5T_STD_I64LE_TOKEN 280
#define H5T_STD_U8BE_TOKEN 281
#define H5T_STD_U8LE_TOKEN 282
#define H5T_STD_U16BE_TOKEN 283
#define H5T_STD_U16LE_TOKEN 284
#define H5T_STD_U32BE_TOKEN 285
#define H5T_STD_U32LE_TOKEN 286
#define H5T_STD_U64BE_TOKEN 287
#define H5T_STD_U64LE_TOKEN 288
#define H5T_NATIVE_CHAR_TOKEN 289
#define H5T_NATIVE_SCHAR_TOKEN 290
#define H5T_NATIVE_UCHAR_TOKEN 291
#define H5T_NATIVE_SHORT_TOKEN 292
#define H5T_NATIVE_USHORT_TOKEN 293
#define H5T_NATIVE_INT_TOKEN 294
#define H5T_NATIVE_UINT_TOKEN 295
#define H5T_NATIVE_LONG_TOKEN 296
#define H5T_NATIVE_ULONG_TOKEN 297
#define H5T_NATIVE_LLONG_TOKEN 298
#define H5T_NATIVE_ULLONG_TOKEN 299
#define H5T_IEEE_F32BE_TOKEN 300
#define H5T_IEEE_F32LE_TOKEN 301
#define H5T_IEEE_F64BE_TOKEN 302
#define H5T_IEEE_F64LE_TOKEN 303
#define H5T_NATIVE_FLOAT_TOKEN 304
#define H5T_NATIVE_DOUBLE_TOKEN 305
#define H5T_NATIVE_LDOUBLE_TOKEN 306
#define H5T_STRING_TOKEN 307
#define STRSIZE_TOKEN 308
#define STRPAD_TOKEN 309
#define CSET_TOKEN 310
#define CTYPE_TOKEN 311
#define H5T_VARIABLE_TOKEN 312
#define H5T_STR_NULLTERM_TOKEN 313
#define H5T_STR_NULLPAD_TOKEN 314
#define H5T_STR_SPACEPAD_TOKEN 315
#define H5T_CSET_ASCII_TOKEN 316
#define H5T_CSET_UTF8_TOKEN 317
#define H5T_C_S1_TOKEN 318
#define H5T_FORTRAN_S1_TOKEN 319
#define H5T_COMPOUND_TOKEN 320
#define H5T_ARRAY_TOKEN 321
#define H5T_VLEN_TOKEN 322
#define STRING_CONST 323
#define INTEGER_CONST 324
#define FLOAT_CONST 325
#define SCALAR_TOKEN 326
#define SIMPLE_TOKEN 327
#define NULL_TOKEN 328
typedef union {
    int   ival;         /*for integer token*/
    double fval;	/*for floating point token */
    char  *sval;        /*for name string*/
} YYSTYPE;
extern YYSTYPE H5EDITyylval;
